Subject: Re: [PATCH ethtool] ethtool: support combinations of FEC modes

From: Andrew Lunn <[email-masked]>
Date: Wed, 19 Sep 2018 17:33:38 +0200

> One loosely related question: how sure can we be that we are never going
> to need more than 32 bits for FEC encodings? Is it something completely
> hypothetical or is it something that could happen in the future?
> 
Hi Michal

Hopefully we have moved to a netlink socket by that time :-)

I recently found that EEE still uses a u32 for advertise link modes.
We should fix that in the netlink API.

	Andrew